Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039983
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminoralways2019-01-21 11:202019-06-14 11:20
ReporterjarmendarizView Statuspublic 
Assigned Tojarmendariz 
PriorityhighResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision16ad89fe0349
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039983: Upgrade javascript linter and formatter

DescriptionJavascript linter and formatter haven't been updated for quite a long time. For this reason it does not support new technologies such as JSX, Angular, Typescript, lambda expressions, etc.

For this reason it'd be convenient to upgrade these tools and make Openbravo compliant of the new changes these tools might introduce.
Steps To ReproduceSee above
Proposed SolutionReplace JSLint with the latest version of ESLint.
Replace JSBeautifier with Prettier.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040069 closedjarmendariz Openbravo ERP Fix errors and warnings found with ESLint (platform team code) 
depends on design defect 0040535 closedalostale Openbravo ERP old callouts should use OBScriptEngine to evaluate response 
related to defect 0039982 closedjarmendariz Openbravo ERP Clean up unused references and code on client side 
related to defect 0040014 closedjarmendariz Retail Modules Clean up unused references and Lint warnings in retail modules 
related to defect 0040070 closedjarmendariz Openbravo ERP Fix errors and warnings found with ESLint (retail team code) 
related to defect 0040071 closedjarmendariz Openbravo ERP Fix errors and warnings found with ESLint (functional team code) 
related to defect 0041078 closedplatform Openbravo ERP API Change: Removed unused class related to old JSLint 
related to defect 0041079 closedjarmendariz Openbravo ERP Update Javascript format using Prettier (platform team code) 
related to defect 0041083 closedjarmendariz Openbravo ERP Update Javascript format using Prettier (retail team code) 
related to defect 0041084 closedjarmendariz Openbravo ERP Update Javascript format using Prettier (functional team code) 
related to design defect 0041246 newplatform Openbravo ERP Remove compatibility hg hooks when old formatter is no longer supported 
related to backport 00413493.0PR19Q1.3 resolvedjarmendariz Openbravo ERP Upgrade javascript linter and formatter 
related to backport 00413503.0PR19Q2.1 resolvedjarmendariz Openbravo ERP Upgrade javascript formatter 
blocks feature request 0039990 closedplatform Openbravo ERP Fix Javascript errors and warnings after upgrading the linter 
causes defect 0041093 closedjarmendariz Openbravo ERP JS static resources are not correctly minimized 
causes defect 0041094 closedjarmendariz Openbravo ERP Javascript formatting scripts fails on MacOSX 
causes defect 0041098 closedjarmendariz Openbravo ERP Javascript formatting scripts does not ignore files when processing individual files 
causes defect 0041200 closedjarmendariz Openbravo ERP Javascript formatting Mercurial hook script does not support parameters 

-  Notes
(0112600)
hgbot (developer)
2019-06-12 11:29

Repository: erp/devel/pi
Changeset: 16ad89fe034939e0518fd2b01c09124f38a94448
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Wed Jun 12 11:27:11 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/16ad89fe034939e0518fd2b01c09124f38a94448 [^]

Fixed issue 39983: Upgrade javascript formatter and linter

---
M .hgignore
M legal/Licensing.txt
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/FIN_Utilities.js
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-addPayment.js
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-addTransaction.js
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-findTransaction.js
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-fundsTransfer.js
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-matchStatement.js
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-utilities.js
M modules/org.openbravo.client.application/src-test/org/openbravo/client/application/test/MenuTemplateTest.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/navigationbarcomponents/templates/application-menu.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/navigationbarcomponents/templates/user-info.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-attachment-view.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-pick-and-execute-view-window.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-standard-view-window.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/properties.js.ftl
M modules/org.openbravo.client.application/web/org.openbravo.client.application/example/grid-example.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/alert-management/ob-alert-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/alert-management/ob-alert-management-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/alert-management/ob-alert-manager.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/calendar/ob-calendar.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/calendar/ob-multicalendar.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/callback/ob-extra-window-settings-actions.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/classic/ob-classic-compatibility.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/classic/ob-classic-help.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/classic/ob-classic-popup.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/classic/ob-classic-window.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/costing/ob-lc-matchfrominvoice.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-canvas.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-characteristics.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-checkbox.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-combo.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-date.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-datechooser.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-datetime.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-encrypted.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-fk-filter.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-fk.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-image.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-link.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-linkbutton.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-linktitle.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-list-filter.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-list.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-minidaterange.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-number.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-pickeditgrid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-richtext.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-search-attribute.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-search.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-section-audit.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-section.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-spinner.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-text.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-textarea.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-time.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-tree-filter.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-tree.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-yesno.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-form-button.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-onchange-registry.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-statusbar.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form-attachments.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form-linked-items.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form-notes.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-tree-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-tree-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-base-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-event-handler-registry.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-layout.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-messagebar.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-notes-datasource.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view-datasource.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-window.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-tab.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/materialmgmt/ob-reservation.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/materialmgmt/ob-reservedGoodMovement.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/navbar/ob-application-menu.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/navbar/ob-help-about-widget.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/navbar/ob-logout-widget.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/navbar/ob-quick-launch.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/navbar/ob-quickrun-widget.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/navbar/ob-user-profile-widget.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/personalization/ob-manage-views-popups.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/personalization/ob-manage-views-toolbar.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/personalization/ob-manage-views.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/personalization/ob-personalization-treegrid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/personalization/ob-personalization.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/personalization/ob-personalize-form-toolbar-button.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/personalization/ob-personalize-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-attachment-window-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-base-parameter-window-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-parameter-window-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-parameter-window-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-datasource.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/procurement/ob-procurement.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/return-material/ob-return-material.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/test/ob-navbar-test.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/test/ob-property-store-test.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/test/ob-ui-test.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/test/ob-utilities-date-test.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/test/ob-utilities-number-test.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/test/ob-utilities-valid-url-test.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-action-button.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-clone-order.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/upload/ob-upload-bp-select-button.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/upload/ob-upload-bp-select-popup.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/upload/ob-upload-popup.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/upload/ob-upload-product-button.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-eventhandler.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-external-page.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-function-registry.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-history-manager.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-keyboard-manager.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-onchange-functions.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-popup.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-property-store.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-recent-utilities.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-remote-call-manager.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-section-stack.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-test-registry.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities-action-def.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities-action.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities-date.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities-number.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities-style.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-view-manager.js
M modules/org.openbravo.client.htmlwidget/web/org.openbravo.client.htmlwidget/js/ob-html-widget.js
M modules/org.openbravo.client.kernel/jslint/jslint
M modules/org.openbravo.client.kernel/src-test/org/openbravo/client/kernel/test/test-compression.js
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/ComponentGenerator.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelConstants.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/templates/application-dynamic-js.ftl
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/templates/application-js.ftl
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/templates/docs.js.ftl
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/templates/i18n.ftl
M modules/org.openbravo.client.kernel/web/org.openbravo.client.kernel/js/ob-i18n.js
M modules/org.openbravo.client.kernel/web/org.openbravo.client.kernel/js/ob-kernel-utilities.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/form/formitem/ob-formitem-widgetinform.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-about-popup.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-calendar-widget.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-community-branding-widget.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-getting-started-view.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-getting-started-widget.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-myopenbravo.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-showparameter-widget.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-url-widget.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-widget.js
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/test/ob-myopenbravo-test.js
M modules/org.openbravo.client.querylist/web/org.openbravo.client.querylist/js/ob-querylist-canvas-item.js
M modules/org.openbravo.client.querylist/web/org.openbravo.client.querylist/js/ob-querylist-view.js
M modules/org.openbravo.client.querylist/web/org.openbravo.client.querylist/js/ob-querylist-widget.js
M modules/org.openbravo.client.widgets/web/org.openbravo.client.widgets/js/ob-gcal.js
M modules/org.openbravo.client.widgets/web/org.openbravo.client.widgets/js/ob-twitter.js
M modules/org.openbravo.service.datasource/web/org.openbravo.service.datasource/js/ob-datasource-utilities.js
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/templates/selector-as-link.ftl
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/templates/selector.ftl
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/classic-skin-variable.js
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-formitem-fk-combo.js
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-multi-selector-item.js
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-filter-select-item.js
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-item.js
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-link-widget.js
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-widget.js
M modules/org.openbravo.userinterface.smartclient/src/org/openbravo/userinterface/smartclient/templates/smartclient_types_js.ftl
A .eslintignore
A .eslintrc.json
A .prettierignore
A .prettierrc.json
A modules/org.openbravo.client.kernel/jsformatter/README.md
A modules/org.openbravo.client.kernel/jsformatter/jsformatter
A modules/org.openbravo.client.kernel/jsformatter/jsformatter-hg
A modules/org.openbravo.client.kernel/jsformatter/jsformatter-hg-hook
A modules/org.openbravo.client.kernel/jslint/README.md
A modules/org.openbravo.client.kernel/jslint/jslint-hg
A modules/org.openbravo.client.kernel/jslint/jslint-hg-hook
A modules/org.openbravo.client.kernel/jsutils/check-npm-deps
A modules/org.openbravo.client.kernel/jsutils/dir-functions
A package-lock.json
A package.json
R modules/org.openbravo.client.kernel/README
R modules/org.openbravo.client.kernel/jsbeautify/jsbeautifier.py
R modules/org.openbravo.client.kernel/jsbeautify/jsbeautify
R modules/org.openbravo.client.kernel/jsbeautify/jsbeautify-module
R modules/org.openbravo.client.kernel/jsbeautify/jscheck-btfy
R modules/org.openbravo.client.kernel/jsbeautify/jscheck-btfy-hg
R modules/org.openbravo.client.kernel/jsbeautify/jscheck-btfy-module
R modules/org.openbravo.client.kernel/jsbeautify/jscheck-btfy-module-hg
R modules/org.openbravo.client.kernel/jscheck/jsfiles
R modules/org.openbravo.client.kernel/jslint/README.txt
R modules/org.openbravo.client.kernel/jslint/jscheck
R modules/org.openbravo.client.kernel/jslint/jscheck-hg
R modules/org.openbravo.client.kernel/jslint/jscheck-module-hg
R modules/org.openbravo.client.kernel/jslint/jslint-module
R modules/org.openbravo.client.kernel/lib/runtime/jslint4java-1.4.7.jar
R modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/JSLintChecker.java
---
(0112661)
hudsonbot (developer)
2019-06-12 17:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6fe812567617 [^]
Maturity status: Test
(0112786)
alostale (developer)
2019-06-14 11:20

reviewed

- Issue History
Date Modified Username Field Change
2019-01-21 11:20 jarmendariz New Issue
2019-01-21 11:20 jarmendariz Assigned To => platform
2019-01-21 11:20 jarmendariz Modules => Core
2019-01-21 11:20 jarmendariz Triggers an Emergency Pack => No
2019-01-21 11:20 jarmendariz Status new => scheduled
2019-01-21 11:20 jarmendariz Assigned To platform => jarmendariz
2019-01-21 11:21 jarmendariz Relationship added related to 0039982
2019-01-21 18:16 jarmendariz Relationship added blocks 0039990
2019-01-23 16:53 jarmendariz Relationship added related to 0040014
2019-01-30 13:41 jarmendariz Relationship added related to 0040069
2019-01-30 13:43 jarmendariz Relationship added related to 0040070
2019-01-30 13:45 jarmendariz Relationship added related to 0040071
2019-04-05 10:14 alostale Relationship added depends on 0040535
2019-06-12 11:29 hgbot Checkin
2019-06-12 11:29 hgbot Note Added: 0112600
2019-06-12 11:29 hgbot Status scheduled => resolved
2019-06-12 11:29 hgbot Resolution open => fixed
2019-06-12 11:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/16ad89fe034939e0518fd2b01c09124f38a94448 [^]
2019-06-12 12:52 jarmendariz Relationship added related to 0041078
2019-06-12 13:12 jarmendariz Relationship added related to 0041079
2019-06-12 17:25 hudsonbot Checkin
2019-06-12 17:25 hudsonbot Note Added: 0112661
2019-06-12 17:37 jarmendariz Relationship added related to 0041083
2019-06-12 18:51 jarmendariz Relationship added related to 0041084
2019-06-13 18:01 caristu Issue cloned 0041093
2019-06-13 18:01 caristu Relationship added causes 0041093
2019-06-14 09:25 jarmendariz Relationship added causes 0041094
2019-06-14 11:20 alostale Review Assigned To => alostale
2019-06-14 11:20 alostale Note Added: 0112786
2019-06-14 11:20 alostale Status resolved => closed
2019-06-14 11:20 alostale Fixed in Version => 3.0PR19Q3
2019-06-17 11:34 jarmendariz Relationship added causes 0041098
2019-06-28 09:39 jarmendariz Relationship added causes 0041200
2019-07-02 16:56 jarmendariz Relationship added related to 0041246
2019-07-15 08:53 jarmendariz Relationship added related to 0041349
2019-07-15 08:54 jarmendariz Relationship added related to 0041350
2019-07-15 12:15 jarmendariz Relationship added related to 0041353


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker